package model;

public class Tile
{

	private int number; //model.Tile number (bottom right = 0, top left = 59, ascending from right to left)
	private int nbFish; //Number of fish on the tile
	private PenguinPresence penguinPresence; //If there is a penguin on this tile

	public Tile(int number, int nbFish, PenguinPresence penguinPresence)
	{
		this.number = number;
		this.nbFish = nbFish;
		this.penguinPresence = penguinPresence;
	}

	public Tile(int number, PenguinPresence penguinPresence)
	{
		this(number, 0, penguinPresence);
	}

	public int getNumber() { return number; }

	public int getNbFish() { return nbFish; }

	public void setNbFish(int nbFish) { this.nbFish = nbFish; }

	public PenguinPresence getPenguinPresence() { return penguinPresence; }

	public void setPenguinPresence(PenguinPresence penguinPresence) { this.penguinPresence = penguinPresence; }

	public enum PenguinPresence
	{
		NO_PENGUIN, RED_PENGUIN, BLUE_PENGUIN;
	}

}
